Bug 648014 - [abrt] system-config-printer-1.2.4-1.fc13: jobviewer.py:125:_map_printer:RuntimeError: failed to connect to server
Summary: [abrt] system-config-printer-1.2.4-1.fc13: jobviewer.py:125:_map_printer:Runt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 13
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:49ef204d
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-30 13:10 UTC by Laurent Forthomme
Modified: 2011-03-15 21:56 UTC (History)
4 users (show)

Fixed In Version: system-config-printer-1.2.7-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-07 20:00:35 UTC


Attachments (Terms of Use)
File: backtrace (803 bytes, text/plain)
2010-10-30 13:10 UTC, Laurent Forthomme
no flags Details

Description Laurent Forthomme 2010-10-30 13:10:38 UTC
abrt version: 1.1.13
architecture: i686
cmdline: /usr/bin/python /usr/share/system-config-printer/applet.py
component: system-config-printer
executable: /usr/share/system-config-printer/applet.py
kernel: 2.6.34.7-61.fc13.i686
package: system-config-printer-1.2.4-1.fc13
reason: jobviewer.py:125:_map_printer:RuntimeError: failed to connect to server
release: Fedora release 13 (Goddard)
time: 1288430928
uid: 500

backtrace
-----
jobviewer.py:125:_map_printer:RuntimeError: failed to connect to server

Traceback (most recent call last):
  File "/usr/share/system-config-printer/monitor.py", line 483, in get_notifications
    fn (*args)
  File "/usr/share/system-config-printer/jobviewer.py", line 1771, in job_event
    printer = self.printer_uri_index.lookup (uri)
  File "/usr/share/system-config-printer/jobviewer.py", line 111, in lookup
    return self._map_printer (uri=uri, connection=connection)
  File "/usr/share/system-config-printer/jobviewer.py", line 125, in _map_printer
    connection = cups.Connection ()
RuntimeError: failed to connect to server

Local variables in innermost frame:
self: <jobviewer.PrinterURIIndex instance at 0x94288ec>
connection: None
name: None
uri: u'ipp://130.104.48.237:631/printers/rx0'

Comment 1 Laurent Forthomme 2010-10-30 13:10:41 UTC
Created attachment 456640 [details]
File: backtrace

Comment 5 Pierre-YvesChibon 2010-12-17 12:00:29 UTC
Package: system-config-printer-1.2.5-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. No idea
2.
3.


Comment
-----
I have no idea what happened but my configuration seems to cause some problem.

(see for references: https://bugzilla.redhat.com/show_bug.cgi?id=660604 )

Comment 6 H.-P. Sorge 2010-12-30 14:44:26 UTC
Package: system-config-printer-1.2.5-6.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open printer config
2. Server settings 
3. add URL

Comment 7 Fedora Update System 2011-01-17 17:39:38 UTC
system-config-printer-1.2.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.6-1.fc14

Comment 8 Fedora Update System 2011-01-17 17:40:11 UTC
system-config-printer-1.2.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.6-1.fc13

Comment 9 Fedora Update System 2011-01-18 21:28:43 UTC
system-config-printer-1.2.6-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-printer-1.2.6-2.fc13

Comment 10 Fedora Update System 2011-02-07 19:59:49 UTC
system-config-printer-1.2.6-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-15 21:55:07 UTC
system-config-printer-1.2.7-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.